libdap::D4RValueList Class Reference

## Public Types

typedef std::vector< D4RValue * >::iterator | iter

## Public Member Functions

void | add_rvalue (D4RValue *rv)
iter | begin ()
| D4RValueList (const D4RValueList &src)
| D4RValueList (D4RValue *rv)
iter | end ()
D4RValue * | get_rvalue (unsigned int i)
D4RValueList & | operator= (const D4RValueList &rhs)
unsigned int | size () const

## Detailed Description

Definition at line 43 of file D4RValue.h.

## Member Typedef Documentation

## iter

typedef std::vector<D4RValue*>::iterator libdap::D4RValueList::iter

Definition at line 50 of file D4RValue.h.

## Constructor & Destructor Documentation

## D4RValueList() [1/3]

libdap::D4RValueList::D4RValueList | ( |  | ) |

inline

Definition at line 52 of file D4RValue.h.

## D4RValueList() [2/3]

libdap::D4RValueList::D4RValueList | ( | const D4RValueList & | src | ) |

inline

Definition at line 53 of file D4RValue.h.

## D4RValueList() [3/3]

libdap::D4RValueList::D4RValueList | ( | D4RValue * | rv | ) |

inline

Definition at line 54 of file D4RValue.h.

## ~D4RValueList()

libdap::D4RValueList::~D4RValueList | ( |  | ) |

virtual

Definition at line 63 of file D4RValue.cc.

## Member Function Documentation

## add_rvalue()

void libdap::D4RValueList::add_rvalue | ( | D4RValue * | rv | ) |

inline

Definition at line 65 of file D4RValue.h.

## begin()

iter libdap::D4RValueList::begin | ( |  | ) |

inline

Definition at line 69 of file D4RValue.h.

## end()

iter libdap::D4RValueList::end | ( |  | ) |

inline

Definition at line 70 of file D4RValue.h.

## get_rvalue()

D4RValue * libdap::D4RValueList::get_rvalue | ( | unsigned int | i | ) |

inline

Definition at line 67 of file D4RValue.h.

## operator=()

D4RValueList & libdap::D4RValueList::operator= | ( | const D4RValueList & | rhs | ) |

inline

Definition at line 58 of file D4RValue.h.

## size()

unsigned int libdap::D4RValueList::size | ( |  | ) | const

inline

Definition at line 72 of file D4RValue.h.

The documentation for this class was generated from the following files:

- D4RValue.h
- D4RValue.cc